|  | Home | Documentation | wst__ClaimsType Struct Reference updated Sat Jun 9 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
wst__ClaimsType Struct Reference

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":ClaimsType is a complexType. More...

`#include <wst.h>`

## Public Attributes
char * | Dialect

## Detailed Description

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":ClaimsType is a complexType.

struct wst__ClaimsType operations:

- wst__ClaimsType* soap_new_wst__ClaimsType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_wst__ClaimsType(struct soap*, wst__ClaimsType*) default initialize members
- int soap_read_wst__ClaimsType(struct soap*, wst__ClaimsType*) deserialize from a source
- int soap_write_wst__ClaimsType(struct soap*, wst__ClaimsType*) serialize to a sink
- wst__ClaimsType* soap_dup_wst__ClaimsType(struct soap*, wst__ClaimsType* dst, wst__ClaimsType <em>src) returns deep copy of wst__ClaimsType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wst__ClaimsType(wst__ClaimsType) deep deletes wst__ClaimsType data members, use only on dst after soap_dup_wst__ClaimsType(NULL, wst__ClaimsType *dst, wst__ClaimsType *src) (use soapcpp2 -Ed)

## Member Data Documentation

char* wst__ClaimsType::Dialect

Todo:

  <any namespace="##any" minoccurs="0" maxoccurs="unbounded">

  Schema extensibility is user-definable. Consult the protocol documentation to change or insert declarations. Use wsdl2h option -x to remove this element. Use wsdl2h option -d for xsd__anyType DOM (soap_dom_element): wsdl2h maps xsd:any to xsd__anyType, use typemap.dat to remap. Attribute "Dialect" of XSD type xs:anyURI.

Optional attribute.

The documentation for this struct was generated from the following file:

- wst.h